var modulo, gliss, couleurs;

function setup() {
  couleurs = [color(255,255,255), color(0,0,0), color(255,0,0), color(0,255,0), color(0,0,255), color(0,255,255), color(255,0,255), color(255,255,0)];
  modulo = createSelect();
  modulo.parent("modulo");
  for (var k=2; k<=8; k++) {modulo.option(k);}
  modulo.changed(retracer);
  gliss=createSlider(0,128,0, 1);
  gliss.parent("glissiere");
  gliss.input(retracer);
  var can=createCanvas(1000,900);
  can.parent("canvas");
  noLoop();
}

function retracer(){
  background(255);
  pascal(gliss.value(), modulo.value(), 7);
}

function pascal(nbRangees, nbCouleurs, dim) {
  var p=[0 , 1, 0]; var q; var c;
  var posX = width/2; posY=0;
  for (n=1;n<=nbRangees;n++){
    q=[0];
    for (k=0; k<n; k++){
      c=(p[k]+p[k+1])%nbCouleurs; q.push(c);
      fill(couleurs[c]);
      rect(posX+k*dim, posY, dim, dim)
    }
    q.push(0); p=q;
    posX=posX-dim/2; posY=posY+dim;
  }
}

function draw() {
  
}