var gliss;

function setup() {
  gliss=createSlider(0,7,0, 1);
  gliss.parent("glissiere");
  gliss.input(retracer);
  var can=createCanvas(1000,900);
  can.parent("canvas");
  noLoop(); retracer();
}

function retracer(){
  background(255);
  fill(0); triangle(500-64*7,900,500+64*7,900,500, 900-64*7*sqrt(3)); fill(255);
  sierp(gliss.value(),500-64*7,900,500+64*7,900,500, 900-64*7*sqrt(3));
}

function sierp(n, x1,y1,x2,y2,x3,y3) {
  if(n<=0) {return;};
  var a1=(x1+x3)/2; var b1=(y1+y3)/2;
  var a2=(x2+x3)/2; var b2=(y2+y3)/2;
  var a3=(x1+x2)/2; var b3=(y1+y2)/2;
  triangle(a1,b1,a2,b2,a3,b3);
  sierp(n-1,a1,b1,a2,b2,x3,y3);
  sierp(n-1,x1,y1,a3,b3,a1,b1);
  sierp(n-1,a3,b3,x2,y2,a2,b2);
}

function draw() {
  
}